package com.ruoyi.web.domain;

import lombok.Data;

import java.util.Map;

@Data
// @ApiModel
public class ManualBindingQueryDto {
    // @ApiModelProperty("O: One,一对一, M: Many一对多")
    public String matchType; // O: One, M: Many
    // @ApiModelProperty(value = "计划年度", example = "2022")
    public String planYear;
    // @ApiModelProperty(value = "专业年度", example = "2021")
    public String year;
    public String location;
    public String universityCode;
    public String universityName;
    public String batch;
    public String level;
    public String type;
    public String collegeCode;
    public String marjorBelongs;
    public String marjorName;

    public Map<String, Object> toMap() {
        Map<String, Object> map = new java.util.HashMap<>();
        map.put("forMany", null != matchType && !matchType.equals("O"));
        map.put("planYear", planYear);
        map.put("year", year);
        map.put("location", location);
        map.put("universityCode", universityCode);
        map.put("universityName", universityName);
        map.put("batch", batch);
        map.put("level", level);
        map.put("type", type);
        map.put("collegeCode", collegeCode);
        map.put("marjorBelongs", marjorBelongs);
        map.put("marjorName", marjorName);
        return map;
    }
}
